* tests/test-c32stombs-*.sh: Renamed 1 -> 2 -> 3 -> 4 -> 5.
* tests/test-c32stombs.c: Update.
* modules/c32stombs-tests: Update.
2023-07-29 Bruno Haible <bruno@clisp.org>
+ c32stombs tests: Renumber tests.
+ * tests/test-c32stombs-*.sh: Renamed 1 -> 2 -> 3 -> 4 -> 5.
+ * tests/test-c32stombs.c: Update.
+ * modules/c32stombs-tests: Update.
+
c32srtombs tests: Renumber tests.
* tests/test-c32srtombs-*.sh: Renamed 1 -> 2 -> 3 -> 4 -> 5.
* tests/test-c32srtombs.c: Update.
Files:
-tests/test-c32stombs-1.sh
tests/test-c32stombs-2.sh
tests/test-c32stombs-3.sh
tests/test-c32stombs-4.sh
+tests/test-c32stombs-5.sh
tests/test-c32stombs.c
tests/signature.h
tests/macros.h
gt_LOCALE_ZH_CN
Makefile.am:
-TESTS += test-c32stombs-1.sh test-c32stombs-2.sh test-c32stombs-3.sh test-c32stombs-4.sh
+TESTS += test-c32stombs-2.sh test-c32stombs-3.sh test-c32stombs-4.sh test-c32stombs-5.sh
TESTS_ENVIRONMENT += \
LOCALE_FR='@LOCALE_FR@' \
LOCALE_FR_UTF8='@LOCALE_FR_UTF8@' \
+++ /dev/null
-#!/bin/sh
-
-# Test in an ISO-8859-1 or ISO-8859-15 locale.
-: "${LOCALE_FR=fr_FR}"
-if test $LOCALE_FR = none; then
- if test -f /usr/bin/localedef; then
- echo "Skipping test: no traditional french locale is installed"
- else
- echo "Skipping test: no traditional french locale is supported"
- fi
- exit 77
-fi
-
-LC_ALL=$LOCALE_FR \
-${CHECKER} ./test-c32stombs${EXEEXT} 1
#!/bin/sh
-# Test whether a specific UTF-8 locale is installed.
-: "${LOCALE_FR_UTF8=fr_FR.UTF-8}"
-if test $LOCALE_FR_UTF8 = none; then
+# Test in an ISO-8859-1 or ISO-8859-15 locale.
+: "${LOCALE_FR=fr_FR}"
+if test $LOCALE_FR = none; then
if test -f /usr/bin/localedef; then
- echo "Skipping test: no french Unicode locale is installed"
+ echo "Skipping test: no traditional french locale is installed"
else
- echo "Skipping test: no french Unicode locale is supported"
+ echo "Skipping test: no traditional french locale is supported"
fi
exit 77
fi
-LC_ALL=$LOCALE_FR_UTF8 \
+LC_ALL=$LOCALE_FR \
${CHECKER} ./test-c32stombs${EXEEXT} 2
#!/bin/sh
-# Test whether a specific EUC-JP locale is installed.
-: "${LOCALE_JA=ja_JP}"
-if test $LOCALE_JA = none; then
+# Test whether a specific UTF-8 locale is installed.
+: "${LOCALE_FR_UTF8=fr_FR.UTF-8}"
+if test $LOCALE_FR_UTF8 = none; then
if test -f /usr/bin/localedef; then
- echo "Skipping test: no traditional japanese locale is installed"
+ echo "Skipping test: no french Unicode locale is installed"
else
- echo "Skipping test: no traditional japanese locale is supported"
+ echo "Skipping test: no french Unicode locale is supported"
fi
exit 77
fi
-LC_ALL=$LOCALE_JA \
+LC_ALL=$LOCALE_FR_UTF8 \
${CHECKER} ./test-c32stombs${EXEEXT} 3
#!/bin/sh
-# Test whether a specific GB18030 locale is installed.
-: "${LOCALE_ZH_CN=zh_CN.GB18030}"
-if test $LOCALE_ZH_CN = none; then
+# Test whether a specific EUC-JP locale is installed.
+: "${LOCALE_JA=ja_JP}"
+if test $LOCALE_JA = none; then
if test -f /usr/bin/localedef; then
- echo "Skipping test: no transitional chinese locale is installed"
+ echo "Skipping test: no traditional japanese locale is installed"
else
- echo "Skipping test: no transitional chinese locale is supported"
+ echo "Skipping test: no traditional japanese locale is supported"
fi
exit 77
fi
-LC_ALL=$LOCALE_ZH_CN \
+LC_ALL=$LOCALE_JA \
${CHECKER} ./test-c32stombs${EXEEXT} 4
--- /dev/null
+#!/bin/sh
+
+# Test whether a specific GB18030 locale is installed.
+: "${LOCALE_ZH_CN=zh_CN.GB18030}"
+if test $LOCALE_ZH_CN = none; then
+ if test -f /usr/bin/localedef; then
+ echo "Skipping test: no transitional chinese locale is installed"
+ else
+ echo "Skipping test: no transitional chinese locale is supported"
+ fi
+ exit 77
+fi
+
+LC_ALL=$LOCALE_ZH_CN \
+${CHECKER} ./test-c32stombs${EXEEXT} 5
switch (argv[1][0])
{
- case '1':
+ case '2':
/* Locale encoding is ISO-8859-1 or ISO-8859-15. */
{
const char original[] = "B\374\337er"; /* "Büßer" */
}
break;
- case '2':
+ case '3':
/* Locale encoding is UTF-8. */
{
const char original[] = "s\303\274\303\237\360\237\230\213!"; /* "süß😋!" */
}
break;
- case '3':
+ case '4':
/* Locale encoding is EUC-JP. */
{
const char original[] = "<\306\374\313\334\270\354>"; /* "<日本語>" */
break;
- case '4':
+ case '5':
/* Locale encoding is GB18030. */
#if GL_CHAR32_T_IS_UNICODE && (defined __NetBSD__ || defined __sun)
fputs ("Skipping test: The GB18030 converter in this system's iconv is broken.\n", stderr);